<div id="user-login-menu" v-if="loginBox.show" @click.stop>
    <h3>Sign in with</h3>

    <div class="password-login">
        <input id="login-mail-input" type="text" placeholder="email" v-model="loginBox.values.email">
        <input id="login-pass-input" type="password" placeholder="password" v-model="loginBox.values.password">

        <button id="login-button"  @click.prevent.stop="loginLocalClick">
            <span v-show="!loginBox.inProgress">
                <span class="font-as">&#xf2f6;</span> Sign in
            </span>
            <div v-show="loginBox.inProgress" class="spinner-border">
                <div class="spinner-core"></div>
            </div>
        </button>                        

        <p class="login-error">{{ loginBox.error }}</p>
    </div>

    <h3>Or using</h3>

    <div class="alternate-logins">
        <!-- Steam -->
        <a href="http://localhost/api/auth/steam" class="alternate-login login-steam" v-show="loginBox.alternates.steam">
            <span>Steam</span>
            <div class="icon">
                <i class="font-ab fa">&#xf1b6;</i>
            </div>
        </a>

        <!-- Xbox -->
        <a href="#" class="alternate-login login-xbox" v-show="loginBox.alternates.xbox">
            <span>Xbox</span>
            <div class="icon">
                <i class="font-ab fa">&#xf412;</i>
            </div>
        </a>

        <!-- Discord -->
        <a href="#" class="alternate-login login-discord"  v-show="loginBox.alternates.discord">
            <span>Discord</span>
            <div class="icon">
                <i class="font-ab fa">&#xf392;</i>
            </div>
        </a>

        <p class="login-disclaimer">Frame Hub is not associated with any of these platforms.</p>
    </div>

    <h3>Not a member yet?</h3>

    <a class="register-login" href="#">Click here to register</a>
</div>
